EC_PNODE_DUP(3)

NAME
ec_pnode_dup - Duplicate a parsing tree.

SYNOPSIS
#include <ecoli/parse.h>

struct ec_pnode * ec_pnode_dup(
    const struct ec_pnode   *pnode   /* A node inside a parsing tree. */
);

RETURN VALUE

A pointer to the copy of the input node, at the same place in the copy of the parsing tree. Return NULL on error (errno is set).

SEE ALSO

ec_pnode_len(3), ec_pnode_get_strvec(3), ec_parse(3), ec_parse_strvec(3), ec_pnode(3), ec_pnode_free_children(3), ec_pnode_get_root(3), ec_pnode_get_parent(3), ec_pnode_find_next(3), ec_pnode_get_first_child(3), ec_pnode_free(3), ec_pnode_matches(3), ec_pnode_dump(3), ec_pnode_unlink_child(3), ec_pnode_next(3), ec_pnode_del_last_child(3), ec_pnode_link_child(3), ec_pnode_count(3), ec_pnode_get_attrs(3), ec_pnode_get_last_child(3), ec_pnode_get_node(3), ec_pnode_find(3), ec_parse_child(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.